Subject: Re: bug#64927: 30.0.50; kill-ring with no X

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Aug 2023 19:00:18 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  Lars Ingebrigtsen
>  <[email-masked]>
> Date: Thu, 03 Aug 2023 11:11:24 -0400
> 
> The ["create a file"] above is an "internal" key-sequence of length
> 1 that happens to use a string as the sole key.
> 
> `possibly_translate_key_sequence` instead is trying to handle the new
> "external" key-sequence format [<KBDSTRING>] where <KBDSTRING> is using
> the `kbd` syntax, i.e. the string is not itself a key but represents
> a key-sequence.
> 
> IOW, this is a fundamental incompatibility introduced by the support for
> this new [<KBDSTRING>] format in `define-key`: keys cannot be arbitrary
> objects any more (among other things they can't be strings any more).

Hmm... that's bad, isn't it?  Menus always supported strings like
that, so we have no lost that?  Do you see any reasonably practical
way to get that back?

And here we are not calling define-key, we are calling lookup-key
instead, btw.